package com.ym.mec.biz.dal.entity;

import java.util.Date;

public class LuckDrawGroup {
    private Integer id;

    private String name;

    private String consumeType;
    
    private Integer consumeValue;

    private Date startTime;

    private Date endTime;

    private Date createOn;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getConsumeType() {
        return consumeType;
    }

    public void setConsumeType(String consumeType) {
        this.consumeType = consumeType == null ? null : consumeType.trim();
    }

    public Integer getConsumeValue() {
		return consumeValue;
	}

	public void setConsumeValue(Integer consumeValue) {
		this.consumeValue = consumeValue;
	}

	public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Date getCreateOn() {
        return createOn;
    }

    public void setCreateOn(Date createOn) {
        this.createOn = createOn;
    }
}